Skip to main content
`Ctrl`+`K`

# PetscClassPerfLogCreate

Deprecated.

## Synopsis

    PETSC_DEPRECATED_FUNCTION(3, 20, 0, "nothing", "PetscClassPerfLog is no longer used.") static inline PetscErrorCode PetscLogClassPerfLogDestroy(PetscClassPerfLog a)

## Note

Performance data is now controlled by `PetscLogHandler`s. Only the default log handler (`PetscLogBeginDefault()`) exposes event performance information with `PetscLogEventGetPerfInfo()`.

## See Also

Profiling

## Level

deprecated

## Location

include/petsc/private/logimpldeprecated.h

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages